/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 获取支付通道手续费设置 GET /api/WalletChannel/GetWalletPayChannelFeeSettings */
export async function getWalletPayChannelFeeSettings(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetWalletPayChannelFeeSettingsParams,
  options?: API.RequestConfig
) {
  return request<API.WalletPayChannelFeeSettingOutput[]>(
    '/api/WalletChannel/GetWalletPayChannelFeeSettings',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取支付通道配置 GET /api/WalletChannel/GetWalletPayChannelList */
export async function getWalletPayChannelList(options?: API.RequestConfig) {
  return request<API.WalletPayChannelOutput[]>('/api/WalletChannel/GetWalletPayChannelList', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 保存支付通道手续费 POST /api/WalletChannel/SaveWalletPayChannelFeeSetting */
export async function saveWalletPayChannelFeeSetting(
  body: API.SaveWalletPayChannelFeeSettingInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/WalletChannel/SaveWalletPayChannelFeeSetting', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 设置支付通过状态 POST /api/WalletChannel/SetWalletPayChannelStatus */
export async function setWalletPayChannelStatus(
  body: API.SetWalletPayChannelStatusInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/WalletChannel/SetWalletPayChannelStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
